# ../scripts/custom/gg_hostname_manager/gg_hostname_manager_config.py

# =============================================================================
# >> IMPORTS
# =============================================================================
# Python Imports
from __future__ import with_statement
from path import path

# GunGame Imports
from gungame51.core.cfg.configs import ConfigContextManager


# =============================================================================
# >> LOAD & UNLOAD
# =============================================================================
def load():

    # Create the cfg file
    with ConfigContextManager(
      path(__file__).parent.split('scripts')[~0][1:]) as config:

        # Create the gg_hostname_manager instance
        with config.cfg_cvar('gg_hostname_manager') as cvar:

            cvar.name = 'HOSTNAME MANAGER'
            cvar.description.append('Changes the HostName ' +
                'of the server in the server browser.')
            cvar.options.append(
                '0 = (Disabled) Do not load gg_hostname_manager.')
            cvar.options.append('1 = (Enabled) Load gg_hostname_manager.')
            cvar.default = 0
            cvar.text = 'Enables/Disables gg_hostname_manager.'
